// ✅ 2. Thunk: /redux/thunks/fetchOpcUaSettingsThunk.ts
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchOpcUaSettingsService } from "../../services/fetchOpcUaSettingsService";
import {
  setOpcUaZustand,
  setOpcUaEncryption,
  setOpcUaActiveClientCount,
  setOpcUaNodesetName,
  //setOpcUaUsers,
} from "../slices/opcuaSettingsSlice";

export const fetchOpcUaSettingsThunk = createAsyncThunk(
  "opcuaSettings/fetch",
  async (_, { dispatch }) => {
    const data = await fetchOpcUaSettingsService();
    if (!data) return;

    dispatch(setOpcUaZustand(data.zustand));
    dispatch(setOpcUaEncryption(data.encryption));
    dispatch(setOpcUaActiveClientCount(data.clientCount));
    dispatch(setOpcUaNodesetName(data.nodesetName));
    //dispatch(setOpcUaUsers(data.users));
  }
);
